### Method

# Ggit RevisionWalker reset

#### Declaration [src]

    void
    ggit_revision_walker_reset (
      GgitRevisionWalker* walker
    )

#### Description [src]

Resets the revision walker for reuse.

This will clear all the pushed and hidden commits, and leave the walker in a blank state (just like at creation) ready to receive new commit pushes and start a new walk.

The revision walk is automatically reset when a walk is over.